## org.hibernate.envers.query.criteria
Class InAuditExpression

    java.lang.Object
      org.hibernate.envers.query.criteria.InAuditExpression

All Implemented Interfaces:
  AuditCriterion

    public class InAuditExpression

extends Object
implements AuditCriterion

Author:
  Adam Warski (adam at warski dot org)

Constructor Summary
`InAuditExpression(PropertyNameGetter propertyNameGetter, Object[] values)`

Method Summary
`void` `addToQuery(AuditConfiguration auditCfg, String entityName, QueryBuilder qb, Parameters parameters)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InAuditExpression

    public InAuditExpression(PropertyNameGetter propertyNameGetter,
                             Object[] values)

Method Detail

### addToQuery

    public void addToQuery(AuditConfiguration auditCfg,
                           String entityName,
                           QueryBuilder qb,
                           Parameters parameters)

  Specified by:
    `addToQuery` in interface `AuditCriterion`

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.